Get Order by ID
The “Get Order by ID” API allows to retrieve information for a specific order using its unique identifier. Use this endpoint to fetch details for a single order based on the provided order ID.
GET
/
payments
/
orders
/
{orderId}
Get Order by ID
curl --request GET \
--url https://services.leadconnectorhq.com/payments/orders/{orderId} \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/payments/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/payments/orders/{orderId}"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"_id": "653f5e0cde5a1314e62a837c",
"altId": "3SwdhCu3svxI8AKsPJt6",
"altType": "location",
"status": "completed",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"contactId": "XPLSw2SVagl12LMDeTmQ",
"currency": "USD",
"amount": "100",
"liveMode": "false",
"fulfillmentStatus": "unfulfilled",
"contactSnapshot": "{ last_name: \"Mcclain\", type: \"lead\", first_name_lower_case: \"rogan\", email: \"anish+11@hoopai.com\", last_name_lower_case: \"mcclain\", location_id: \"o6241QsiRwUIJHyjuhos\", company_name: \"Jordan and Cox Trading\"}",
"amountSummary": "{ subtotal: 100, discount: 5 }",
"source": "{ type: \"invoice\", id: \"61dd48ff65b013bc39bb09c6\" }",
"items": "{ _id: 61dd33e88058b9f967ca79dc, authorizeAmount: 0, locationId: \"SBAWb4yu7A4LSc0skQ6g\", name: \"Sample Product\": price: {}, product: { name: \"Testing product\", productType: \"SERVICE\" }}",
"coupon": "{ code: \"FEST10\", _id: \"63455e48901b43d4ef364a20\" }",
"trackingId": "63319ef9-de0a-4c84-aebd-3585fb4a0cdf",
"fingerprint": "5d51db5a-42b0-4b04-ba88-2c046c982a3a",
"meta": "{ couponSessionExpired: true }",
"markAsTest": "false",
"traceId": "d3b16a92-a8ed-4e6b-8467-844750f78ed5",
"automaticTaxesCalculated": true,
"taxCalculationProvider": "taxjar",
"createdBy": "user123"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Path Parameters
Query Parameters
Response
Successful response
Last modified on March 8, 2026
Was this page helpful?
Get Order by ID
curl --request GET \
--url https://services.leadconnectorhq.com/payments/orders/{orderId} \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/payments/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/payments/orders/{orderId}"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"_id": "653f5e0cde5a1314e62a837c",
"altId": "3SwdhCu3svxI8AKsPJt6",
"altType": "location",
"status": "completed",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"contactId": "XPLSw2SVagl12LMDeTmQ",
"currency": "USD",
"amount": "100",
"liveMode": "false",
"fulfillmentStatus": "unfulfilled",
"contactSnapshot": "{ last_name: \"Mcclain\", type: \"lead\", first_name_lower_case: \"rogan\", email: \"anish+11@hoopai.com\", last_name_lower_case: \"mcclain\", location_id: \"o6241QsiRwUIJHyjuhos\", company_name: \"Jordan and Cox Trading\"}",
"amountSummary": "{ subtotal: 100, discount: 5 }",
"source": "{ type: \"invoice\", id: \"61dd48ff65b013bc39bb09c6\" }",
"items": "{ _id: 61dd33e88058b9f967ca79dc, authorizeAmount: 0, locationId: \"SBAWb4yu7A4LSc0skQ6g\", name: \"Sample Product\": price: {}, product: { name: \"Testing product\", productType: \"SERVICE\" }}",
"coupon": "{ code: \"FEST10\", _id: \"63455e48901b43d4ef364a20\" }",
"trackingId": "63319ef9-de0a-4c84-aebd-3585fb4a0cdf",
"fingerprint": "5d51db5a-42b0-4b04-ba88-2c046c982a3a",
"meta": "{ couponSessionExpired: true }",
"markAsTest": "false",
"traceId": "d3b16a92-a8ed-4e6b-8467-844750f78ed5",
"automaticTaxesCalculated": true,
"taxCalculationProvider": "taxjar",
"createdBy": "user123"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}